package main

type Device struct {

}

func (i *Device) HeartRate() (uint8, error) {
	return 10, nil
}

func (i *Device) BatteryLevel() (uint8, error) {
	return 95, nil
}

func (i *Device) StepCount() (uint32, error) {
	return 27000, nil
}

type MotionValues struct {
	X int16
	Y int16
	Z int16
}

func (i *Device) Motion() (MotionValues, error) {
	return MotionValues{-12, +64, -19}, nil
}

func (i *Device) Address() string {
	return "FA:E4:00:00:00:00"
}

func (i *Device) Version() (string, error) {
	return "1.11.0", nil
}
